package com.cool.bang.modules.business.domain;

import com.cool.bang.common.base.BaseDomain;
import com.cool.bang.common.constant.emuns.StatusType;

import java.math.BigDecimal;

/**
 * 各区县数据统计
 *
 * @author PeiZhi Guo
 * 2024-10-31 17:05
 */
public class DataCount extends BaseDomain {

    private static final long serialVersionUID = 1L;

    /**
     * 区县
     */
    private Integer district;

    /**
     * 区县名称
     */
    private String districtName;

    /**
     * 是否办结 0未办结 1已办结
     */
    private Integer isEnd;

    /**
     * 销售年月
     */
    private String yearMonth;

    /**
     * 总销售套数
     */
    private Integer saleNumber;

    /**
     * 总销售面积
     */
    private BigDecimal saleArea;

    /**
     * 销售总价
     */
    private BigDecimal saleTotalPrice;

    /**
     * 销售套数
     */
    private Integer resSaleNumber;

    /**
     * 销售面积
     */
    private BigDecimal resSaleArea;

    /**
     * 销售总价
     */
    private BigDecimal resSaleTotalPrice;

    /**
     * 销售套数
     */
    private Integer otherSaleNumber;

    /**
     * 销售面积
     */
    private BigDecimal otherSaleArea;

    /**
     * 销售总价
     */
    private BigDecimal otherSaleTotalPrice;



    public Integer getIsEnd() {
        return isEnd;
    }

    public void setIsEnd(Integer isEnd) {
        this.isEnd = isEnd;
    }

    public Integer getDistrict() {
        return district;
    }

    public void setDistrict(Integer district) {
        this.district = district;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getYearMonth() {
        return yearMonth;
    }

    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }

    public Integer getSaleNumber() {
        return saleNumber;
    }

    public void setSaleNumber(Integer saleNumber) {
        this.saleNumber = saleNumber;
    }

    public BigDecimal getSaleArea() {
        return saleArea;
    }

    public void setSaleArea(BigDecimal saleArea) {
        this.saleArea = saleArea;
    }

    public BigDecimal getSaleTotalPrice() {
        return saleTotalPrice;
    }

    public void setSaleTotalPrice(BigDecimal saleTotalPrice) {
        this.saleTotalPrice = saleTotalPrice;
    }

    public Integer getResSaleNumber() {
        return resSaleNumber;
    }

    public void setResSaleNumber(Integer resSaleNumber) {
        this.resSaleNumber = resSaleNumber;
    }

    public BigDecimal getResSaleArea() {
        return resSaleArea;
    }

    public void setResSaleArea(BigDecimal resSaleArea) {
        this.resSaleArea = resSaleArea;
    }

    public BigDecimal getResSaleTotalPrice() {
        return resSaleTotalPrice;
    }

    public void setResSaleTotalPrice(BigDecimal resSaleTotalPrice) {
        this.resSaleTotalPrice = resSaleTotalPrice;
    }

    public Integer getOtherSaleNumber() {
        return otherSaleNumber;
    }

    public void setOtherSaleNumber(Integer otherSaleNumber) {
        this.otherSaleNumber = otherSaleNumber;
    }

    public BigDecimal getOtherSaleArea() {
        return otherSaleArea;
    }

    public void setOtherSaleArea(BigDecimal otherSaleArea) {
        this.otherSaleArea = otherSaleArea;
    }

    public BigDecimal getOtherSaleTotalPrice() {
        return otherSaleTotalPrice;
    }

    public void setOtherSaleTotalPrice(BigDecimal otherSaleTotalPrice) {
        this.otherSaleTotalPrice = otherSaleTotalPrice;
    }
}
